stages:
  - test
  - build
  - publish

linter:
  image: coopdevstreball/python:3.8.12
  stage: test
  script:
    - ansible-lint playbooks/*.yml
    - yamllint **/*.yml

image: enmanuelmoreira/docker-ansible-alpine:latest

build:
  stage: build
  rules:
    - if: $CI_COMMIT_TAG
  script:
    - ansible-galaxy collection build --force
  artifacts:
    paths:
      - $CI_BUILDS_DIR/$CI_PROJECT_NAMESPACE/$CI_PROJECT_NAME/$CI_PROJECT_ROOT_NAMESPACE-$CI_PROJECT_NAME-$CI_COMMIT_TAG.tar.gz
    expire_in: 30 days

publish:
  stage: publish
  rules:
    - if: $CI_COMMIT_TAG
  dependencies:
    - build
  script:
    - ansible-galaxy collection publish $CI_BUILDS_DIR/$CI_PROJECT_NAMESPACE/$CI_PROJECT_NAME/$CI_PROJECT_ROOT_NAMESPACE-$CI_PROJECT_NAME-$CI_COMMIT_TAG.tar.gz --token $GALAXY_TOKEN